## nfs-utils-0.3.3.tar.gz

=== support/include/Makefile ===
#
# Makefile for linux-nfs/support
#

include $(TOP)rules.mk

all install::	mount.h
	@:

distclean::
	$(RM) mount.h config.h

mount.h:
	$(LN_S) ../export/mount.h .

# .EXPORT_ALL_VARIABLES:

=== utils/exportfs/Makefile ===
#
# dummy Makefile
#

PROGRAM	= exportfs
OBJS	= exportfs.o
LIBDEPS	= $(TOP)support/lib/libexport.a $(TOP)/support/lib/libnfs.a
LIBS	= -lexport -lnfs
MAN8	= exportfs
MAN5	= exports

include $(TOP)rules.mk

=== utils/mountd/Makefile ===
#
# Makefile for rpc.mountd
#

PROGRAM	= mountd
PREFIX	= rpc.
OBJS	= mountd.o mount_dispatch.o auth.o rmtab.o
LIBDEPS	= $(TOP)support/lib/libexport.a $(TOP)/support/lib/libnfs.a
LIBS	= -lexport -lnfs -lmisc $(LIBBSD) $(LIBWRAP) $(LIBNSL)
MAN8	= mountd

include $(TOP)rules.mk

=== utils/statd/Makefile ===
# Copyright (C) 1995-1999 Jeffrey A. Uphoff
# Adapted for linux-nfs build tree by Olaf Kirch, 1996.
#
# NSM for Linux.

# Uncomment for embedded client-side simulation functions.
#SIMUL	= -DSIMULATIONS

# Undefined is normal, defined provides debug logging.
#DEBUG	= -DDEBUG

##################################################################
#	no user-serviceable parts below this line
##################################################################
PROGRAM	= statd
PREFIX	= rpc.
OBJS	= $(SRCS:.c=.o)
CCOPTS	= $(DEBUG) $(SIMUL)
LIBS	= -lexport -lnfs -lmisc $(LIBWRAP) $(LIBNSL)

SRCS	= $(RPCSRCS) $(SIMSRCS) \
	  callback.c notlist.c log.c misc.c monitor.c notify.c simu.c \
	  stat.c statd.c state.c svc_run.c rmtcall.c
HDRS	= $(RPCHDRS) $(SIMHDRS)

RPCSRCS	= sm_inter_clnt.c sm_inter_svc.c sm_inter_xdr.c
RPCHDRS	= sm_inter.h

ifdef SIMUL
SIMSRCS	= sim_sm_inter_clnt.c sim_sm_inter_svc.c
SIMHDRS	= sim_sm_inter.h
SRCS   += simulate.c
endif

MAN8	= statd

include $(TOP)rules.mk

AFLAGS	+= -Wno-unused

$(RPCHDRS) $(RPCSRCS):	sm_inter.x
	$(RM) $(RPCHDRS) $(RPCSRCS)
	$(RPCGEN) -h -o sm_inter.h $<
	$(RPCGEN) -l -o sm_inter_clnt.c $<
	$(RPCGEN) -m -o sm_inter_svc.c $<
	$(RPCGEN) -c -o sm_inter_xdr.c $<

$(SIMHDRS) $(SIMSRCS):	sim_sm_inter.x
	$(RM) $(SIMHDRS) $(SIMSRCS)
	$(RPCGEN) -h -o sim_sm_inter.h $<
	$(RPCGEN) -l -o sim_sm_inter_clnt.c $<
	$(RPCGEN) -m -o sim_sm_inter_svc.c $<

clean::
	$(RM) $(PROGRAM)

distclean::
	$(RM) $(RPCHDRS) $(RPCSRCS) $(SIMHDRS) $(SIMSRCS)

=== debian/changelog ===
nfs-utils (1:0.3.2-2) unstable; urgency=low

  * Rebuild with new libc.  (closes: #97252, #97455, #99829, #100317)
  * Fix typo in nfs-kernel-server init script.  (closes: #100380)
  * Start all daemons in root directory.
  
 -- Chip Salzenberg <chip@debian.org>  Fri, 15 Jun 2001 15:57:18 -0700

nfs-utils (1:0.3.2-1) unstable; urgency=low

  * Upstream changes to statd:
    > Recognize long options.
    > On startup, close std{in,out,err}.
    > Updated man page.
  * Let debhelper handle doc symlinks.  (closes: #74094)
  * Rename upstream changelog, per policy.
  * Get rid of suidregister call.

 -- Chip Salzenberg <chip@debian.org>  Sun,  1 Apr 2001 19:21:26 -0700

nfs-utils (1:0.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Incorporate (but not all) Bug Party changes by David LaBissoniere
    <labiss@usit.net>:
    > Mention upstream source and license in copyright file.  (closes: #79997)
    > Add Build-Depends for debhelper and libwrap0-dev.  (closes: #84131)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Feb 2001 16:51:15 -0800

nfs-utils (1:0.3-2) unstable; urgency=low

  * Upstream:
    > Don't modify socket buffer sizes.

 -- Chip Salzenberg <chip@debian.org>  Mon, 12 Feb 2001 20:46:22 -0800

nfs-utils (1:0.3-1) unstable; urgency=low

  * New upstream.

 -- Chip Salzenberg <chip@debian.org>  Sun, 28 Jan 2001 18:13:59 -0800

nfs-utils (1:0.2.1-5) unstable; urgency=low

  * Fix statd callback protection ("--secure-statd") to
     1. work with current kernels as far as possible, and
     2. allow for Trond's recent NFS patches, which change the
        static callback RPC procedure.
  * Store return values of getc and getopt in int variables:
    they can return EOF, which requires an int. (From NMU)
  
 -- Chip Salzenberg <chip@debian.org>  Sat, 20 Jan 2001 20:03:07 -0800

nfs-utils (1:0.2.1-4) unstable; urgency=medium

  * Warn about common errors in /etc/exports.  (closes: #66421)
  * Fix line numbers in messages about /etc/exports.  (closes: #59734)
  * Let nhfsstone replace files from old server packages.  (closes: #59261)

 -- Chip Salzenberg <chip@valinux.com>  Sun,  3 Dec 2000 14:41:13 -0800

nfs-utils (1:0.2.1-3) unstable; urgency=low

  * Add portmap dependency. (closes: #75639)
  * Upstream:
    > mountd: New option "-n/--no-tcp".

 -- Chip Salzenberg <chip@valinux.com>  Sun, 19 Nov 2000 09:22:19 -0800

nfs-utils (1:0.2.1-2) unstable; urgency=high

  * On shutdown, kill user-mode lockd, not kernel-mode lockd thread.
  * Big upstream fix:
     > statd: Repair memory leaks and corruptions.
  * Other upstream patches:
     > exportfs: Support CIDR netmasks (e.g. "1.2.3.4/24").
     > statd: Fix callbacks to local lockd; Be paranoid about IP addresses
       when doing callbacks to local lockd; Add debugging features; Make
       logs more readable.

 -- Chip Salzenberg <chip@valinux.com>  Thu,  2 Nov 2000 18:10:36 -0800

nfs-utils (1:0.2.1-1) unstable; urgency=low

  * New upstream w/minor fixes.

 -- Chip Salzenberg <chip@valinux.com>  Mon,  2 Oct 2000 17:32:00 -0700

nfs-utils (1:0.2-1) unstable; urgency=low

  * New upstream version number.
  * Minor fixes.

 -- Chip Salzenberg <chip@valinux.com>  Tue,  5 Sep 2000 11:30:00 -0700

nfs-utils (1:0.1.9.1-2) unstable; urgency=medium

  * Upstream addition of tcpwrapper support in statd and mountd.
  * Upstream fixes from H.J. Lu and Neil Brown.
  * Run exportfs first during startup (again).

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Aug 2000 17:30:00 -0700

nfs-utils (1:0.1.9.1-1) frozen unstable; urgency=high

  * New upstream version, fixes more logging errors.
  * Fix Debian distribution list.

 -- Chip Salzenberg <chip@valinux.com>  Wed,  5 Jul 2000 15:00:00 -0800

nfs-utils (1:0.1.8.2-2) unstable; urgency=high

  * Fix serious logging error in statd.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 23:00:00 -0800

nfs-utils (1:0.1.8.2-1) unstable; urgency=low

  * New upstream version.
  * During startup, start daemons before running exportfs.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 15:00:00 -0800

nfs-utils (1:0.1.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Chdir to / before spawning daemons. (closes: #60837, #64857)
  * Follow policy for init messages. (closes: #59184, #65519)

 -- Chip Salzenberg <chip@valinux.com>  Mon, 12 Jun 2000 22:30:00 -0800

nfs-utils (1:0.1.8-1) unstable; urgency=low

  * New upstream version.

 -- Chip Salzenberg <chip@valinux.com>  Sun,  4 Jun 2000 13:30:00 -0800

nfs-utils (1:0.1.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Use fewer sockets in mountd by sharing RPC transports,
    even when it is run without '-p'.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 29 Apr 2000 20:45:00 -0800

nfs-utils (1:0.1.6-3) frozen unstable; urgency=medium

  * Fix kernel server shutdown order: mountd, nfsd, exportfs.
  * Upstream:  Fix 'mountd -p'.  Use fewer UDP sockets
    by sharing RPC transports.  Display more mount flags.

 -- Chip Salzenberg <chip@valinux.com>  Mon, 13 Mar 2000 14:45:00 -0800

nfs-utils (1:0.1.6-2) frozen unstable; urgency=medium

  * Split off nhfsstone into its own package, since it has
    helper scripts and most people won't use it.
  * Also include nhfsstone's helpers: nhfs{run,nums,graph}.
  * Install man page for nhfsstone. (closes: #55194)
  * Always run lockd on non-module kernels. (closes: #57841)
  * Make init scripts config files. (closes: #55193)
  * Handle "force-reload" in nfs-common's init script. (ditto)
  * Fix line numbers in error messages. (closes: #57717)
  * Write man page for rpc.lockd. (closes: #55192)
  * Fix typo in exports(5) man page. (closes: #46933)
  * Add /usr/doc -> /usr/share doc links. (closes: #54983)
  * Add copyright file. (closes: #55195)
  * Refresh sources from upstream.
  * Refine dependencies.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Feb 2000 02:00:00 -0800

nfs-utils (1:0.1.6-1) unstable; urgency=high

  * New upstream version.


=== debian/control ===
Source: nfs-utils
Priority: standard
Section: net
Maintainer: Chip Salzenberg <chip@debian.org>
Build-Depends: debhelper, libwrap0-dev
Standards-Version: 3.1.1.1

Package: nfs-kernel-server
Architecture: any
Depends: nfs-common (>= 1:0.1.5), ${shlibs:Depends}
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
Description: Kernel NFS server support
 Use this package if you have a fairly recent kernel (2.2.13 or better)
 and you want to use the kernel-mode NFS server.  The user-mode NFS
 server in the "nfs-server" package is slower but more featureful and
 easier to debug than the kernel-mode server.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nhfsstone
Priority: extra
Architecture: any
Depends: nfs-common, ${shlibs:Depends}
Replaces: nfs-kernel-server
Description: NFS benchmark program.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nfs-common
Architecture: any
Depends: portmap, ${shlibs:Depends}
Provides: nfs-client
Conflicts: nfs-client
Replaces: nfs-client
Description: NFS support files common to client and server
 Use this package on any machine that does NFS either as client or
 server.  Programs included: lockd, statd, showmount, and nfsstat.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# You can use gcc 2.7.2 if it's installed,
#   but I don't think that's necessary any more.
#SETGCC	:= CC=$(notdir $(shell which gcc272 gcc 2>/dev/null | sed '1q'))

# Temporary root
DEBTMP	:= $(shell pwd)/debian/tmp

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(SETGCC) ./configure \
		--mandir='$${prefix}/share/man' \
		--enable-secure-statd
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the files into debian/tmp
	$(MAKE) install_prefix='$(DEBTMP)' install
	dh_movefiles
	# Fixups Start Here #
	cd debian && \
	  for f in lockd statd showmount; do \
	    mv tmp/usr/sbin/*$$f nfs-common/sbin; \
	    perl -pi -e "s#/usr(/sbin/(rpc\\.)?$$f)#\$$1#g" \
		nfs-common/usr/share/man/man8/$$f.8; \
	  done; \
	  rm -f tmp/usr/sbin/*quota*; \
	  rm -f tmp/usr/share/man/man8/*quota*; \
	  rm -rf tmp/var/lib/nfs/*
	# Fixups End Here #
	dh_installdocs -A README
	dh_installexamples
#	dh_installmenu
	dh_installinit -n
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
